# Riorganizzazione VPS

Con questo repo gestiamo l'evoluzione della VPS che ospita i servizi di BgLUG e amici.

## situazione attuale

Attualmente (quasi) ogni servizio gira nel proprio container docker, e spesso non viene esposto direttamente all'esterno: infatti ogni servizio che si appoggia su un certificato SSL è relegato dietro ad un proxy, che gestisce la terminazione HTTPS e l'inoltro del traffico.

### servizi

| servizio | descrizione | usa proxy | note |
| --- | --- | --- | --- |
| bglug.it | wordpress sito web bglug.it | ✅ | - |
| code.bglug.it | collabora online development edition | ✅ | - |
| community.libreschool.org | discourse | ✅ | - |
| drone.libreschool.org | drone CI | ✅ | - |
| fabmanager.bglug.it | Fablab manager | ✅ | - |
| git.libreschool.org | gitea BgLUG | ✅ | espone anche SSH su 1022 |
| jitsi.libreschool.org | web conference | ✅ | espone porta 10000 tcp e udp |
| ldap server | directory degli utenti | - | non esposto all'esterno |
| librenms | pingava le varie installazioni libreschool | - | dismesso |
| libreschool.org | wordpress sito web libreschool.org | ✅ | - |
| librescuola.org | wordpress sito web librescuola.org | ✅ | - |
| chat.bglug.it chat.libreschool.org | mattermost server | ✅ | - |
| moodle | mai superata la fase di test | - | dismesso |
| cloud.bglug.it | nextcloud | ✅ | - |
| phpldapadmin | phpldapadmin | - | solo VPN |
| proxy | Nginx Proxy Manager | ✅ | - |
| pwdchg.bglug.it password.bglug.it | servizio password reset | ✅ | - |
| registry.libreschool.org | docker registry | ✅ | - |
| repo.libreschool.org | package repository | ✅ | - |
| vagrant.libreschool.org | vagrant repository | ✅ | - |

### servizi non dockerizzati

| servizio | descrizione |
| --- | --- |
| apache | probabilmente da rimuovere |
| fail2ban | banna chi fa bruteforce |
| mariadb | db server da controllare |
| openvpn | VPN per server libreschool |
| openvpn | VPN management |
| php7.4-fpm | probabilmente da rimuovere |
| php8.0-fpm | probabilmente da rimuovere |

## nuova organizzazione

| servizio | descrizione | usa proxy | auth centralizzata |
| --- | --- | --- | --- |
| auth.bglug.it | servizio di autenticazione | ✅ | - |
| bglug.it | wordpress sito web bglug.it | ✅ | ✅ |
| community.libreschool.org | discourse | ✅ | verificare |
| drone.libreschool.org | drone CI | ✅ | ✅ |
| fabmanager.bglug.it | Fablab manager | ✅ | verificare |
| git.libreschool.org | gitea BgLUG | ✅ | ✅ |
| jitsi.libreschool.org | web conference | ✅ | ha senso ?? |
| libreschool.org | wordpress sito web libreschool.org | ✅ | ✅ |
| librescuola.org | wordpress sito web librescuola.org | ✅ | ✅ |
| chat.bglug.it chat.libreschool.org | mattermost server | ✅ | verificare |
| cloud.bglug.it | nextcloud | ✅ | ✅ |
| proxy | Nginx Proxy Manager | ✅ | No! |
| repo.libreschool.org | package repository | ✅ | non serve |

### Nginx Proxy Manager

Al momento, la console di gestione è accessibile solo tramite VPN o inoltro porta SSH.
Potremmo usare password decenti, e magari una per ogni utente abilitato, ed esporlo su un DNS poco evidente.

### auth

Un servizio di autenticazione, probabilmente realizzato con Authelia o Authentik, che andrà a rimpiazzare l'infrastruttura LDAP attuale.
Questo ci permette di rimuovere:
  
  - ldap server
  - pwdchg.bglug.it
  - phpldapadmin
### collabora online

In teoria dovremmo riuscire a rimpiazzarlo con nextcloud liscio, soprattutto ora che è aggiornato all'ultima stable release, quindi code va a sparire.

### registry

La [gestione pacchetti di Gitea](https://docs.gitea.io/en-us/usage/packages/container/) rimpiazza il registry attuale, quindi possiamo valutare di farlo sparire.

### repo.libreschool.org

Bisogna trovare un rimpiazzo. Gitea non ci aiuta nella creazione di un repository .deb / .rpm e dovremmo guardare altrove.

### vagrant

La [gestione pacchetti di Gitea](https://docs.gitea.io/en-us/usage/packages/vagrant/) ci permette di gestire anche vagrant, quindi possiamo valutare di farlo sparire.

### fail2ban

Valutare se è il caso di sostituirlo con [qualcosa di più moderno](https://crowdsec.net/).

### altri servizi

Bisogna decidere cosa si fa con le varie VPN.
