#!/bin/sh

which pwgen >/dev/null || (
    echo Per favore, installa pwgen
    exit 1
)

MYDIR=$(dirname $0)
source "${MYDIR}/config.vars"

mkdir -p \
  "${MYDIR}/proxy/data" \
  "${MYDIR}/proxy/letsencrypt" \
  "${MYDIR}/authelia/config" \
  "${MYDIR}/nextcloud/nextcloud_data" \
  "${MYDIR}/nextcloud/nextcloud_config" \
  "${MYDIR}/nextcloud/db" \
  "${MYDIR}/nextcloud/redis"

sudo chown -R 1000:1000 \
  "${MYDIR}/nextcloud/nextcloud_data" \
  "${MYDIR}/nextcloud/nextcloud_config"

if [ ! -f "${MYDIR}/nextcloud/.env" ] ; then
  cat >"${MYDIR}/nextcloud/.env" <<EOF
MYSQL_ROOT_PASSWORD=$(pwgen -s 14 1)
MYSQL_DATABASE=$(pwgen -s 14 1)
MYSQL_USER=$(pwgen -s 14 1)
MYSQL_PASSWORD=$(pwgen -s 14 1)
EOF
fi
